Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class GetAvailableTemplates

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wmps.operation.WMPSRequestBase
              org.deegree.ogcwebservices.wmps.operation.GetAvailableTemplates

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetAvailableTemplates

extends WMPSRequestBase

Can be requested as KVP:

...?request=GetAvailableTemplates&version=1.0.0

or as XML:

     <?xml version="1.0" encoding="UTF-8"?>
     <deegreewmps:GetAvailableTemplates xmlns:deegreewmps="http://www.deegree.org/wmps" version="1.0.0"/>

Version:
  $Revision: 20967 $, $Date: 2009-11-23 16:49:00 +0100 (Mo, 23. Nov 2009) $
Author:
  Andreas Poth, last edited by: $Author: apoth $
See Also:
  Serialized Form

Constructor Summary
`GetAvailableTemplates(String id, String version, Map<String,String> vendorSpecificParameter)`

Method Summary
`static GetAvailableTemplates` | `create(Element request)`
`static GetAvailableTemplates` | `create(Map<String,String> parameter)`

Methods inherited from class org.deegree.ogcwebservices.wmps.operation.WMPSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetAvailableTemplates

    public GetAvailableTemplates(String id,
                                 String version,
                                 Map<String,String> vendorSpecificParameter)

Parameters:
  `id` -
  `version` -
  `vendorSpecificParameter` -

Method Detail

### create

    public static GetAvailableTemplates create(Map<String,String> parameter)

  Parameters:
    `parameter` -
  Returns:
    new `GetAvailableTemplates`

### create

    public static GetAvailableTemplates create(Element request)
                                        throws XMLParsingException

  Parameters:
    `request` -
  Returns:
    new `GetAvailableTemplates`
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org